<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
</head>
<body>
<h2 id="primo"></h2>
<h2 id="secondo"></h2>
<h2 id="terzo"></h2>

<script>

  const oggi=new Date();
  const options=[
    {
      year:"numeric",
      weekday:"long",
      day:"2-digit",
      month:"numeric"
    },
    {
      hour:"2-digit",
      minute:"2-digit",
      second:"2-digit",
      hour12:true
    },
    {
      year:"numeric",
      weekday:"short",
      day:"2-digit",
      month:"numeric",
      hour:"2-digit",
      minute:"2-digit",
      second:"2-digit",
    },
  ]
  console.log(oggi.toLocaleString(undefined,options))
  console.log(oggi.toLocaleString(undefined,options[1]))
  console.log(oggi.toLocaleString(undefined,options[2]));



  options.forEach(opp=>{
    const h2=document.createElement("h2")//creazione h2
    const data=oggi.toLocaleString(undefined,opp)
    const text=document.createTextNode(data)//creazione testo per il h2 e ci inseriamo la data
    h2.appendChild(text)//inserire il testo in h2
    document.querySelector("body").appendChild(h2)//diamo la posizione in body
  });



</script>
</body>
</html>
